package lezione13;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

public class Slide06 {

	public static void main(String[] args) {
		try (BufferedReader br = new BufferedReader(new FileReader("src/in.txt"));
				PrintWriter pw = new PrintWriter(new FileWriter("src/out.txt"))) { // apro 2 risorse
			String line = br.readLine(); // leggo una linea alla volta
			while (line != null) { // finche' c'e' qualcosa da leggere
				pw.println(line); // scrivo la linea su file
				line = br.readLine(); // leggo la prossima linea
			}
		} catch (FileNotFoundException e) { // il file non esiste (occhio ai percorsi)
			e.printStackTrace();
		} catch (IOException e) { // il file non e' leggibile, scrivibile, altri errori generici
			e.printStackTrace();
		}
	}

}
