package lezione13;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class Slide05 {

	public static void main(String[] args) {
		try (BufferedReader br = new BufferedReader(new FileReader("src/in.txt"))) { // apro una risorsa
			String line = br.readLine(); // leggo una linea alla volta
			while (line != null) { // finche' c'e' qualcosa da leggere
				System.out.println(line);
				line = br.readLine(); // leggo la prossima linea
			}
		} catch (FileNotFoundException e) { // il file non esiste (occhio ai percorsi)
			e.printStackTrace();
		} catch (IOException e) { // il file non e' leggibile, scrivibile, altri errori generici
			e.printStackTrace();
		}
	}

}
