package lezione13;

import java.io.File;
import java.io.IOException;

public class Slide07 {

	public static void main(String[] args) {
		File dir = new File("data"); // occhio, ancora il file (o la directory) non esiste nel file system!
		System.out.println(dir.getAbsolutePath()); // percorso assoluto del file, dalla cartella radice del file system (su Windows, solitamente "C:", su Mac, solitamene "\")
		System.out.println(dir.getName());
		if (!dir.exists()) {
			dir.mkdirs(); // ora la directory (in questo caso) viene creata
		}
		for (String s : dir.list()) { // elenca files e directory come stringhe
			System.out.println(s);
		}
		File newDir = new File("data/IoTests");
		System.out.println(newDir.getAbsolutePath());
		System.out.println(newDir.getName());
		if (!newDir.exists()) {
			newDir.mkdirs();
		}
		File newFile = new File("data/IoTests/test.txt");
		try {
			newFile.createNewFile(); // in questa caso creiamo un file
		} catch (IOException e) { // non si ha il permesso di scrivere nella cartella, altri errori generici
			e.printStackTrace();
		}
		for (String s : dir.list()) {
			System.out.println(s);
		}
		for (File f : dir.listFiles()) { // elenca files e directory come files
			if (f.isDirectory()) { // e' una directory?
				System.out.println("Directory: " + f);
			}
			if (f.isFile()) { // e' un file?
				System.out.println("File: " + f);
			}
		}
		for (File f : newDir.listFiles()) {
			if (f.isDirectory()) {
				System.out.println("Directory: " + f);
			}
			if (f.isFile()) {
				System.out.println("File: " + f);
			}
		}
	}

}
